Subject: Re: [PATCH v2 05/18] dmaengine: owl: Add compatible for the Actions Semi S500 DMA controller

From: Manivannan Sadhasivam <[email-masked]>
Date: Sat, 5 Dec 2020 11:38:31 +0530

On Sun, Nov 29, 2020 at 08:24:21PM +0200, Cristian Ciocaltea wrote:
> On Sat, Nov 28, 2020 at 01:00:45PM +0530, Manivannan Sadhasivam wrote:
> > On Fri, Nov 20, 2020 at 01:55:59AM +0200, Cristian Ciocaltea wrote:
> > > The DMA controller present on the Actions Semi S500 SoC is compatible
> > > with the S900 variant, so add it to the list of devices supported by
> > > the Actions Semi Owl DMA driver.
> > > 
> > > Signed-off-by: Cristian Ciocaltea <[email-masked]>
> > 
> > I hope that you have verified both Memcpy and Slave transfers...
> 
> I have been using 'dmatest' module as documented in:
> https://www.kernel.org/doc/html/latest/driver-api/dmaengine/dmatest.html
> 
> I tested all the available channels and could not find any signs of
> possible issues. Bellow is an excerpt from the kernel ring buffer:
> 
> [ 2661.884680] dmatest: dma0chan1-copy0: summary 300 tests, 0 failures 1653.48 iops 13249 KB/s (0)
> [ 2661.886567] dmatest: dma0chan2-copy0: summary 300 tests, 0 failures 1684.40 iops 12846 KB/s (0)
> [ 2661.888448] dmatest: dma0chan3-copy0: summary 300 tests, 0 failures 1730.62 iops 13648 KB/s (0)
> 
> Should I perform some additional tests?
> 

Nope, this is sufficient. Since you have tested slave transfer with MMC driver,
running dmatest for memcpy is fine.

Thanks,
Mani

> Thanks,
> Cristi
> 
> > Reviewed-by: Manivannan Sadhasivam <[email-masked]>
> > 
> > Thanks,
> > Mani
> > 
> > > ---
> > >  drivers/dma/owl-dma.c | 1 +
> > >  1 file changed, 1 insertion(+)
> > > 
> > > diff --git a/drivers/dma/owl-dma.c b/drivers/dma/owl-dma.c
> > > index 9fede32641e9..54e509de66e2 100644
> > > --- a/drivers/dma/owl-dma.c
> > > +++ b/drivers/dma/owl-dma.c
> > > @@ -1082,6 +1082,7 @@ static struct dma_chan *owl_dma_of_xlate(struct of_phandle_args *dma_spec,
> > >  static const struct of_device_id owl_dma_match[] = {
> > >  	{ .compatible = "actions,s900-dma", .data = (void *)S900_DMA,},
> > >  	{ .compatible = "actions,s700-dma", .data = (void *)S700_DMA,},
> > > +	{ .compatible = "actions,s500-dma", .data = (void *)S900_DMA,},
> > >  	{ /* sentinel */ },
> > >  };
> > >  MODULE_DEVICE_TABLE(of, owl_dma_match);
> > > -- 
> > > 2.29.2
> > > 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel